import React, { ReactNode } from 'react';
/**
 * InternalContext manages internal states between the components
 * without exposing methods to global states
 */
interface InternalContextInitialStateType {
    isPopoverExpanded: boolean;
    listItemActiveIndex: number;
    updateInternalContext: any;
    dataLength: number;
}
export declare const InternalContext: React.Context<InternalContextInitialStateType>;
export declare const Wrapper: React.FC<{
    children: ReactNode;
}>;
export interface PopOverListProps extends React.OlHTMLAttributes<HTMLUListElement> {
    children: ReactNode;
}
export declare const PopOverList: React.FC<PopOverListProps>;
export interface PopOverOptionProps extends React.LiHTMLAttributes<HTMLLIElement> {
    children: ReactNode;
    optionIndex: number;
}
export declare const PopOverOption: React.FC<PopOverOptionProps>;
export interface PopOverOptionTextProps extends React.HTMLAttributes<HTMLParagraphElement> {
    className?: string;
    value: string;
    as: string;
}
export declare const PopOverOptionText: React.FC<PopOverOptionTextProps>;
export {};
